> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete multipart upload

> Complete a multipart upload by assembling all parts



## OpenAPI

````yaml /reference/sandbox-api/openapi.json post /filesystem-multipart/{uploadId}/complete
openapi: 3.0.0
info:
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  contact: {}
  version: 0.0.1
servers:
  - url: https://{sandbox_host}
    description: >-
      Host from the sandbox's returned url, without the scheme or trailing
      slash.
    variables:
      sandbox_host:
        default: sandbox.example.com
security:
  - BearerAuth: []
paths:
  /filesystem-multipart/{uploadId}/complete:
    post:
      tags:
        - filesystem
      summary: Complete multipart upload
      description: Complete a multipart upload by assembling all parts
      parameters:
        - description: Upload ID
          name: uploadId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultipartCompleteRequest'
        description: List of parts
        required: true
      responses:
        '200':
          description: Upload completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Upload not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartCompleteRequest:
      type: object
      properties:
        parts:
          type: array
          items:
            $ref: '#/components/schemas/MultipartPartInfo'
    SuccessResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: File created successfully
        path:
          type: string
          example: /path/to/file
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          example: Error message
    MultipartPartInfo:
      type: object
      properties:
        etag:
          type: string
          example: 5d41402abc4b2a76b9719d911017c592
        partNumber:
          type: integer
          example: 1
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Sandbox access token created through POST /v1/token.

````